Class DelegatingJsonEndpoint<Req,Res,Err>
java.lang.Object
co.elastic.clients.transport.endpoints.DelegatingJsonEndpoint<Req,Res,Err>
- All Implemented Interfaces:
Endpoint<Req,Res,Err>,JsonEndpoint<Req,Res,Err>
- Direct Known Subclasses:
EndpointWithResponseMapperAttr
public class DelegatingJsonEndpoint<Req,Res,Err> extends java.lang.Object implements JsonEndpoint<Req,Res,Err>
-
Field Summary
Fields Modifier and Type Field Description protected JsonEndpoint<Req,Res,Err>endpoint -
Constructor Summary
Constructors Constructor Description DelegatingJsonEndpoint(JsonEndpoint<Req,Res,Err> endpoint) -
Method Summary
Modifier and Type Method Description JsonpDeserializer<Err>errorDeserializer(int statusCode)The entity parser for the error response body.booleanhasRequestBody()java.util.Map<java.lang.String,java.lang.String>headers(Req request)Get the HTTP headers for a request.java.lang.Stringid()The endpoint's identifier.booleanisError(int statusCode)Is this status code to be considered as an error?java.lang.Stringmethod(Req request)Get the endpoint's HTTP method for a request.java.util.Map<java.lang.String,java.lang.String>queryParameters(Req request)Get the query parameters for a request.java.lang.StringrequestUrl(Req request)Get the URL path for a request.JsonpDeserializer<Res>responseDeserializer()The entity parser for the response body.Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
Field Details
-
endpoint
-
-
Constructor Details
-
DelegatingJsonEndpoint
-
-
Method Details
-
id
public java.lang.String id()Description copied from interface:EndpointThe endpoint's identifier. -
method
Description copied from interface:EndpointGet the endpoint's HTTP method for a request. -
requestUrl
Description copied from interface:EndpointGet the URL path for a request.- Specified by:
requestUrlin interfaceEndpoint<Req,Res,Err>
-
queryParameters
Description copied from interface:EndpointGet the query parameters for a request.- Specified by:
queryParametersin interfaceEndpoint<Req,Res,Err>
-
headers
Description copied from interface:EndpointGet the HTTP headers for a request. -
hasRequestBody
public boolean hasRequestBody()- Specified by:
hasRequestBodyin interfaceEndpoint<Req,Res,Err>
-
responseDeserializer
Description copied from interface:JsonEndpointThe entity parser for the response body.- Specified by:
responseDeserializerin interfaceJsonEndpoint<Req,Res,Err>
-
isError
public boolean isError(int statusCode)Description copied from interface:EndpointIs this status code to be considered as an error? -
errorDeserializer
Description copied from interface:EndpointThe entity parser for the error response body. Can benullto indicate that there's no error body.- Specified by:
errorDeserializerin interfaceEndpoint<Req,Res,Err>
-